Bio::MAGETAB::ControlledTerm(3)

NAME
Bio::MAGETAB::ControlledTerm - MAGE-TAB controlled term class

SYNOPSIS
 use Bio::MAGETAB::ControlledTerm;

DESCRIPTION
This class is used to store information on controlled terms in MAGE-TAB. These will often (but not always) be terms from an ontology, in which case the source of these terms should also be given via the parent class DatabaseEntry attributes. See the DatabaseEntry class for superclass methods.

ATTRIBUTES

category (required)
    A category to provide context for the term (data type: String).

value (required)
    The term value itself (data type: String).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::DatabaseEntry

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).